Table of Contents

## Name

im_stretch3 - stretch horizontally by 3%, displace sub-pixel mask

## Synopsis

#include <vips/vips.h>

int im_stretch3( in, out, xdisp, ydisp )
IMAGE *in, *out;
double xdisp, ydisp;

## Description

im_stretch3() stretches the input image by 3% horizontally, and displaces it by xdisp/ydisp. It uses bi-cubic interpolation, but runs quickly. It works only for unsigned short images.

This function is part of the MARC acquisition software, but is generally useful for squaring up the pixels in images from the Kontron ProgRes camera range.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_conv(3) , im_shrink(3) .

## Copyright

The National Gallery, 1997

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright